import { initDictionary } from '@/blocks/utils'

export default {
  data() {
    return {
      options: {},
    }
  },
  mounted() {
    let _this = this
    initDictionary([
      { objectcode: 'ORDER_BUSINESS_TYPE' },//
      { objectcode: 'CLOSE_ACCOUNT_STATUS' },//结算单状态
       { objectcode: 'TAX_POINT' },//税点
       { objectcode: 'SETTLEMENT_CYCLE' },//结算单周期
      // { objectcode: 'SETTLEMENT_CYCLE' },
      // { objectcode: 'TEMPERATURE_REQUIREMENT' },
      // { objectcode: 'TRANSPORT_TYPE' },
      // { objectcode: 'SHIPPER_TYPE' },
      // { objectcode: 'CONSIGNEE_TYPE' },
      // { objectcode: 'ABNORMAL_TYPES' },
      // { objectcode: 'ABNORMAL_CASES' },
      // { objectcode: 'DELIVERY_STATUS' },
      // { objectcode: 'DELIVERY_STRANDED_REASON'},
      // { objectcode: 'DELIVERY_FAILURE_REASON'},
      // { objectcode: 'ORIG_RECEIPT_STATUS'},
      // { objectcode: 'ORIG_RECEIPT_TYPE'},
      // { objectcode: 'LOADING_BILL_STATUS'},


    ]).then((res) => {
      for (let key in res) {
        res[key].forEach((item) => {
          if (!isNaN(item.value)) {
            item.value = +item.value
          }
        })
      }

      _this.options = { ..._this.options, ...res }
    })
  },
  computed: {},
  methods: {},
}
